@echo off
setlocal
PUSHD %~dp0
::-------------------------------------------------
:: Autor: Erich Vonach
::        IT-Regionalbetreuer
:: Datum: 13.11.2019
::-------------------------------------------------
::
::------------ Variable setzten -------------------
::
set SourceDir=%cd%
set CName=Server
::
::
::-------------------------------------------------

::------------ SERVER-ermitteln -------------------
::
if EXIST "\\server\netlogon" goto noDFS
if EXIST "\\schule.aps\netlogon" goto DFS
::
:noDFS
set MYSERVER=Server
set MYSERVER1=Server
set MYSERVER2=Server
::
goto Abfrage

:DFS
set MYSERVER=schule.aps
set MYSERVER1=schule.aps\dfs
set MYSERVER2=DCSchule
::
goto Abfrage
::
cls
::
:Abfrage
::
set PATCHNR1=RBSrv_Firefox
set PATCHNR2=RBSrv_Firefox_v2.0
set LOGFILE1=\\%MYSERVER1%\Logs\%PATCHNR1%.log
set LOGFILE2=\\%MYSERVER1%\Logs\%PATCHNR2%.log
::
if exist %LOGFILE2% goto noPatch
::
:: gehe zum Standardprogramm und kehre zu Befehle zurck
:: - wurde Batch schon ausgefhrt?
:: - ist Batch fr Betriebssystem geeignet?
::
goto Standardprogramm
::
:Befehle
::
::-----------------
::  Abfrage Eignung
::-----------------
::
If /i %computername%==%CName% goto ANWEISUNGEN
goto UNGEEIGNET
::
:ANWEISUNGEN
::
::
cls
color E0
::
echo.
echo -------------------------------------------------------------------------------
echo.
echo      Serverpatch Mozilla Firefox
echo.
echo -------------------------------------------------------------------------------
echo.
echo.  - (allenfalls: Lschen der Daten von RBSrv_Firefox_v1.0)
echo   - (allenfalls Kopie der erforderlichen ADM(X)-Files in den Central-Store)
echo   - Erstellen der GPO 'B_MozillaFirefox'
echo.
echo -------------------------------------------------------------------------------
echo   Weiter mit "ja" plus ENTER    (andere Taste bricht ab)
echo -------------------------------------------------------------------------------
set /p AUSWAHL= fortsetzen?   
echo. -------------------------------------------------------
if /i "%AUSWAHL%"=="ja" goto WEITER_1
echo.
echo ... abgebrochen ...
ping -n 3 127.0.0.1 >nul
del %LOGFILE2% /q
exit
rem -----Raus-----------------------
::
::---------------
::  Kopiervorgang
::---------------
::
:: **********************************************************************************
:: * Central Store wird eingerichtet                                                *
:: **********************************************************************************
::
:WEITER_1
echo.
:: ====LOG=============================================================================
echo.                                                                              					>>"%LOGFILE2%"
echo --^>   Central Store fue ADMX- und ADML-Files wird bei Bedarf eingerichtet.       					>>"%LOGFILE2%"
echo --^>   - ADMX-Files werden kopiert nach \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions            >>"%LOGFILE2%"
echo --^>   - ADML-Files werden kopiert nach \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions\de-DE      >>"%LOGFILE%"
echo.                                                                              					>>"%LOGFILE2%"
:: ====LOG=============================================================================
::
if not exist \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions\. goto CentralStore
goto WEITER_2
::
:CentralStore
echo Central Store wird eingerichtet
::
md \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions
md \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions\de-DE
copy \\%MYSERVER2%\%systemroot%\PolicyDefinitions\* \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions
copy \\%MYSERVER2%\%systemroot%\PolicyDefinitions\de-DE\* \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions\de-DE
::
:: **********************************************************************************
:: * Kopie der ADM(X)-Files                                                         *
:: **********************************************************************************
:WEITER_2
::
echo Alte Dateien werden allenfalls durch neue Dateien ersetzt.
echo.
::
:: ====LOG=============================================================================
echo.                                                                              					>>"%LOGFILE2%"
echo --^>   Dateien wurden kopiert                            								>>"%LOGFILE2%"
echo --^>   - nach \\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions\...                                	>>"%LOGFILE2%"
echo.                                                                             					>>"%LOGFILE2%"
:: ====LOG=============================================================================
::
:: Kopie der neuen Daten
::
xcopy "%SourceDir%\_Server\admx\*.*" "\\%MYSERVER2%\sysvol\%userdnsdomain%\policies\PolicyDefinitions" /K /R /E /I /S /C /H /Y
::
echo.
::
:: ====LOG=============================================================================
echo.                                                                              					>>"%LOGFILE2%"
echo --^>   Die GPO 'B_MozillaFirefox' wurde gelscht.									>>"%LOGFILE2%"
echo --^>   Die GPO 'C+B_MozillaFirefox' wurde erstellt							       		>>"%LOGFILE2%"
echo.                                                                              					>>"%LOGFILE2%"
:: ====LOG=============================================================================
::
cscript "%SourceDir%\_Server\Tools\DeleteGPO.wsf" B_MozillaFirefox
cscript "%SourceDir%\_Server\Tools\DeleteGPO.wsf" C+B_MozillaFirefox
cscript "%SourceDir%\_Server\Tools\ImportGPO.wsf" %SourceDir%\_Server\GPO\C+B_MozillaFirefox C+B_MozillaFirefox /CreateIfNeeded
cscript "%SourceDir%\_Server\Tools\CreateEnvironmentFromXML.wsf" /XML:%SourceDir%\_Server\GPO\C+B_MozillaFirefox.xml /createUserenabeled /Q
::
echo  --------------------------------------------------------------
cls
color 2E
echo.
echo   Vorgang wurde erfolgreich ausgefhrt!
echo.
echo   Nach einem Tastendruck ffnet die Gruppenrichtlinienverwaltung
echo   zur allflligen Kontrolle der GPO 'C+B_MozillaFirefox'
echo.
echo.
echo   Ein Log-File ist im Ordner '...\LOGS' zu finden
echo  --------------------------------------------------------------
echo.
::
pause
::
start /B %SystemRoot%\system32\gpmc.msc
::
goto ENDE
::
:UNGEEIGNET
echo  ---------------------------------------------------
cls
color 4F
echo.
echo.
echo  Falscher Rechner!
echo  Dieser Batch muss auf dem %CName% ausgefhrt werden.
echo.
echo  ---------------------------------------------------
echo.
pause
goto ENDE
::

:: ************************************************************************************
:: * Patch bereits ausgefhrt                                                         *
:: ************************************************************************************
:NoPatch
cls
color 4F
echo.
echo.
echo Diese Installationsroutine wurde auf diesem Rechner bereits ausgefhrt.
echo.
echo Siehe %LOGFILE%
echo.
echo.
pause
goto ENDE
::
:Standardprogramm

:: * Log-Datei erstellen *
::************************
::
:: ====LOG================================================================================
echo Autor E. Vonach    				      		      >>"%LOGFILE2%"
echo Dieses Logfile bitte nicht lschen!				      >>"%LOGFILE2%"
echo Patch ausgefhrt am                   %date%  um  Zeit:  %time%          >>"%LOGFILE2%"
echo.
echo Protokoll:             %LOGFILE%                                         >>"%LOGFILE2%"
echo ------------------------------------------------------------------------ >>"%LOGFILE2%"
echo.                                                                         >>"%LOGFILE2%"
:: ====LOG================================================================================
::

goto Befehle
:ENDE
endlocal
